For the complete documentation index, see llms.txt. This page is also available as Markdown.

β˜‘οΈCreate a card

A Visa Business card can be used to purchase any eligible business transactions on Amazon, Ebay, Alibaba, AliExpress, etc

In order to use the create a card endpoint, you'll need to create a customer first

You can take a look at the customer endpoint via this link Create Customer

Once you've created a customer, you'll need the customer id in order to create a virtual card

Please note that the virtual card can take 24 hours before a user's approval for it.

The virtual card is free however there is a fee for applying for the virtual card which is $15 USD to apply for it

The below example gives an example of how to make the request using the endpoint

const axios = require('axios');
let data = '{\n    "customerId": "d97ca351-966c-47e5-a1fa-b8017515763c",\n    "spendingAmount": 2000,\n    "reason": "I wan to buy Products on Amazon",\n    "places": "AliExpress, Amazon, Etc"\n}';

let config = {
  method: 'post',
  maxBodyLength: Infinity,
  url: 'https://sandbox.pgecom.com/api/v1/business/visa',
  headers: { },
  data : data
};

axios.request(config)
.then((response) => {
  console.log(JSON.stringify(response.data));
})
.catch((error) => {
  console.log(error);
});
s

Create a virtual

POST https://sandbox.pgecom.com/api/v1/business/visa

Headers

Name
Type
Description

authorization*

String

Bearer token

Request Body

Name
Type
Description

spendingAmount*

String

Monthly spending amount on the card

reason*

String

Reason why you need this card

places*

String

Places that you intent to use the card

customerID*

String

Last updated